FSSYNC-DEBUG_OFFLINE(8)

NAME
fssync-debug_offline - Brings a volume offline (FSYNC_VOL_OFF opcode)

SYNOPSIS
fssync-debug offline -volumeid <volume ID>
    [-partition <exact partition name>]
    [-reason <sync protocol reason code>]
    [-programtype <program type code>]
    [-help]

fssync-debug of -v <volume ID>
    [-pa <exact partition name>]
    [-r <sync protocol reason code>]
    [-pr <program type code>]
    [-h]

DESCRIPTION
The fssync-debug offline command brings a volume offline.

OPTIONS

-volumeid <volume ID>
    Specifies the numeric volume ID. Volume names are not permitted.

-partition <exact partition name>
    Specifies the exact partition name (e.g. /vicepa). Abbreviations are not permitted.

-reason <sync protocol reason code>
    Specifies numeric sync protocol reason code. Available codes are listed in OpenAFS source file src/vol/fssync_inline.h. For SYNC_REASON_NONE, use -reason 0.

-programtype <program type code>
    Specifies program type code. Permitted values are fileServer, volumeUtility, salvager, salvageServer, volumeServer and volumeSalvager.

PRIVILEGE REQUIRED
The issuer must have write access to the file server. Usually, this means that the issuer must be the local superuser "root" on the file server machine.

SEE ALSO
fssync-debug_attach(8), fssync-debug_detach(8), fssync-debug_callback(8), fssync-debug_online(8), fssync-debug_leaveoff(8), fssync-debug_error(8)

COPYRIGHT
Copyright 2010 Davor Ocelic <docelic@spinlocksolutions.com>

This documentation is covered by the IBM Public License Version 1.0. This man page was written by Davor Ocelic for OpenAFS, based on documentation from Steven Jenkins, Tom Keiser and Simon Wilkinson.